<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
<script>
    /*
    function foo() {
        if(true) {
            var fruit1 = 'apple'; // Function scoped
            const fruit2 = 'banana';  // Block scoped
            let fruit3 = 'strawberry'; // Block scoped
        }
        console.log(fruit1); // 'apple'
        console.log(fruit2); // Uncaught ReferenceError: fruit2 is not defined
        console.log(fruit3); // Uncaught ReferenceError: fruit3 is not defined
    }
    foo();
    */

    function foo1() {
        var fruit1 = 'apple'; // Function scoped
        const fruit2 = 'banana';  // Block scoped
        let fruit3 = 'strawberry'; // Block scoped
        function foo2() {
            console.log(fruit1); // 'apple'
            console.log(fruit2); // 'banana'
            console.log(fruit3); // 'strawberry'
        }
        foo2();
    }     
    foo1();
</script>
</html>